Subject: Re: bug#21517: 11.88.8; Error parsing wrong in Plain TeX mode

From: jfbu <[email-masked]>
Date: Sat, 19 Sep 2015 14:15:43 +0200

Hi Tassilo

Le 19 sept. 2015 à 14:03, Tassilo Horn <[email-masked]> a écrit :

>> 
>> I see in the message mini-buffer
>>> TeX errors in `*~/_texlatex/1509/bugauctex output*'. Use C-c ` to display.
>> 
>> On C-c `, I get:
>>> No more errors.
> 
> Ah, there's been a bug in `TeX-TeX-sentinel' which invoked error parsing
> only if there were no errors. ;-)
> 
> I think it is fixed now.  Could you please check and report back?

Yes, I applied the patch to tex-buf.el from the latest commit
and error parsing seems to function as expected in TeX-mode

C-c `  is OK, and Command->Error Overview also

this is at least on my \underline example, but as I never do any
error in TeX coding if not intentionally, it might be
a very long time before I can confirm more generally, though 

;-)

Thanks for the quick fix,

Best,
Jean-François